Public Class cNavigation
    Property id As Integer = -1
    Property bezeichnung As String = ""
    Property slogan As String = ""
    Property menu_logo As String = ""
    Property subnavigation As List(Of cNavigation) = Nothing
End Class

Public Class cBlock
    Property block_ID As Integer = -1
    Property block_order As Integer = -1
    Property blockfields As List(Of cBlockField) = Nothing
End Class

Public Class cBlockField
    Property bfld_id As Integer = -1
    Property bart_breiteProz As Integer = -1
    Property bart_desc As String = ""
    Property bart_beginParam As String = ""
    Property bart_endParam As String = ""
    Property blockfieldargumentcontents As List(Of cBlockFieldArgumentContent) = Nothing
End Class
Public Class cBlockFieldArgumentContent
    Property bfac_ID As Integer = -1
    Property bfac_bargID_Ref As Integer = -1
    Property bfac_default As String = ""
    Property bfac_de As String = ""
    Property bfac_en As String = ""
    Property bfac_tr As String = ""
    Property bfac_yu As String = ""
    Property bfac_ro As String = ""
    Property bfac_bg As String = ""
    Property bfac_order As Integer = -1

End Class